Skip to main content
PUT
/
dnszone
/
{zoneId}
/
records
Add DNS Record
curl --request PUT \
  --url https://api.bunny.net/dnszone/{zoneId}/records \
  --header 'AccessKey: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "Ttl": 123,
  "Value": "<string>",
  "Name": "<string>",
  "Weight": 123,
  "Priority": 123,
  "Flags": 123,
  "Tag": "<string>",
  "Port": 123,
  "PullZoneId": 123,
  "ScriptId": 123,
  "Accelerated": true,
  "GeolocationLatitude": 123,
  "GeolocationLongitude": 123,
  "LatencyZone": "<string>",
  "Disabled": true,
  "EnviromentalVariables": [
    {
      "Name": "<string>",
      "Value": "<string>"
    }
  ],
  "Comment": "<string>",
  "AutoSslIssuance": true
}
'
import requests

url = "https://api.bunny.net/dnszone/{zoneId}/records"

payload = {
"Ttl": 123,
"Value": "<string>",
"Name": "<string>",
"Weight": 123,
"Priority": 123,
"Flags": 123,
"Tag": "<string>",
"Port": 123,
"PullZoneId": 123,
"ScriptId": 123,
"Accelerated": True,
"GeolocationLatitude": 123,
"GeolocationLongitude": 123,
"LatencyZone": "<string>",
"Disabled": True,
"EnviromentalVariables": [
{
"Name": "<string>",
"Value": "<string>"
}
],
"Comment": "<string>",
"AutoSslIssuance": True
}
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
Ttl: 123,
Value: '<string>',
Name: '<string>',
Weight: 123,
Priority: 123,
Flags: 123,
Tag: '<string>',
Port: 123,
PullZoneId: 123,
ScriptId: 123,
Accelerated: true,
GeolocationLatitude: 123,
GeolocationLongitude: 123,
LatencyZone: '<string>',
Disabled: true,
EnviromentalVariables: [{Name: '<string>', Value: '<string>'}],
Comment: '<string>',
AutoSslIssuance: true
})
};

fetch('https://api.bunny.net/dnszone/{zoneId}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "Id": 123,
  "Ttl": 123,
  "Value": "<string>",
  "Name": "<string>",
  "Weight": 123,
  "Priority": 123,
  "Port": 123,
  "Flags": 123,
  "Tag": "<string>",
  "Accelerated": true,
  "AcceleratedPullZoneId": 123,
  "LinkName": "<string>",
  "IPGeoLocationInfo": {
    "CountryCode": "<string>",
    "Country": "<string>",
    "ASN": 123,
    "OrganizationName": "<string>",
    "City": "<string>"
  },
  "GeolocationInfo": {
    "Country": "<string>",
    "City": "<string>",
    "Latitude": 123,
    "Longitude": 123
  },
  "GeolocationLatitude": 123,
  "GeolocationLongitude": 123,
  "EnviromentalVariables": [
    {
      "Name": "<string>",
      "Value": "<string>"
    }
  ],
  "LatencyZone": "<string>",
  "Disabled": true,
  "Comment": "<string>",
  "AutoSslIssuance": true
}
{
"ErrorKey": "<string>",
"Field": "<string>",
"Message": "<string>"
}

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Path Parameters

zoneId
integer<int64>
required

The DNS Zone ID to which the record will be added.

Body

application/json
Type
enum<integer> | null

0 = A 1 = AAAA 2 = CNAME 3 = TXT 4 = MX 5 = Redirect 6 = Flatten 7 = PullZone 8 = SRV 9 = CAA 10 = PTR 11 = Script 12 = NS 13 = SVCB 14 = HTTPS 15 = TLSA

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15
Ttl
integer<int32> | null
Value
string | null
Name
string | null
Weight
integer<int32> | null
Priority
integer<int32> | null
Flags
integer<byte> | null
Tag
string | null
Port
integer<int32> | null
PullZoneId
integer<int64> | null
ScriptId
integer<int64> | null
Accelerated
boolean | null
MonitorType
enum<integer> | null

0 = None 1 = Ping 2 = Http 3 = Monitor

Available options:
0,
1,
2,
3
GeolocationLatitude
number<double> | null
GeolocationLongitude
number<double> | null
LatencyZone
string | null
SmartRoutingType
enum<integer> | null

0 = None 1 = Latency 2 = Geolocation

Available options:
0,
1,
2
Disabled
boolean | null
EnviromentalVariables
object[] | null
Comment
string | null
AutoSslIssuance
boolean | null

Response

The DNS record was successfuly added.

Id
integer<int64>
Type
enum<integer>

0 = A 1 = AAAA 2 = CNAME 3 = TXT 4 = MX 5 = Redirect 6 = Flatten 7 = PullZone 8 = SRV 9 = CAA 10 = PTR 11 = Script 12 = NS 13 = SVCB 14 = HTTPS 15 = TLSA

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15
Ttl
integer<int32>
Value
string | null
Name
string | null
Weight
integer<int32>
Priority
integer<int32>
Port
integer<int32>
Flags
integer<byte>
Tag
string | null
Accelerated
boolean
AcceleratedPullZoneId
integer<int64>
IPGeoLocationInfo
object | null
GeolocationInfo
object | null
MonitorStatus
enum<integer>

0 = Unknown 1 = Online 2 = Offline

Available options:
0,
1,
2
MonitorType
enum<integer>

0 = None 1 = Ping 2 = Http 3 = Monitor

Available options:
0,
1,
2,
3
GeolocationLatitude
number<double>
GeolocationLongitude
number<double>
EnviromentalVariables
object[] | null
LatencyZone
string | null
SmartRoutingType
enum<integer>

0 = None 1 = Latency 2 = Geolocation

Available options:
0,
1,
2
Disabled
boolean
Comment
string | null
AutoSslIssuance
boolean
AccelerationStatus
enum<integer>

0 = None 1 = Pending 2 = Processing 3 = Completed 4 = Failed

Available options:
0,
1,
2,
3,
4
Last modified on July 9, 2026